# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-01-09 09:06
from __future__ import unicode_literals

import datetime

from django.db import migrations, models
from django.utils import timezone


def convert_to_end(apps, schema_editor):
    Pomodoro = apps.get_model('pomodoro', 'Pomodoro')
    for pomodoro in Pomodoro.objects.all():
        pomodoro.end = pomodoro.created + datetime.timedelta(minutes=pomodoro.duration)
        pomodoro.save()


def convert_to_duration(apps, schema_editor):
    Pomodoro = apps.get_model('pomodoro', 'Pomodoro')
    for pomodoro in Pomodoro.objects.all():
        pomodoro.duration = int((pomodoro.end - pomodoro.created).total_seconds / 60)
        pomodoro.save()


class Migration(migrations.Migration):

    dependencies = [
        ('pomodoro', '0001_squashed_0005_favorite_icon'),
    ]

    operations = [
        migrations.RunSQL('SET CONSTRAINTS ALL IMMEDIATE',
                      reverse_sql=migrations.RunSQL.noop),
        migrations.AddField(
            model_name='pomodoro',
            name='end',
            field=models.DateTimeField(default=timezone.now, verbose_name='end time'),
        ),
        migrations.RunPython(convert_to_end, convert_to_duration),
        migrations.RemoveField(
            model_name='pomodoro',
            name='duration',
        ),
        migrations.RenameField(
            model_name='pomodoro',
            old_name='created',
            new_name='start',
        ),
        migrations.AlterModelOptions(
            name='pomodoro',
            options={'ordering': ('-start',)},
        ),
    ]
